; 1.1

;---------------------------------------------------------------------------
; Override common states (use same number to override) :
;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
; Win pose 1 - Bow
; CNS difficulty: basic
; CNS x: {
[Statedef 181]
type = S
ctrl = 0
anim = 9741
velset = 0,0

[State 0, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = nomusic
flag2 = nobardisplay
ignorehitpause = 1
[State 0, AssertSpecial]
type = AssertSpecial
trigger1 = time = [0,260]
flag = roundnotover
ignorehitpause = 1
[State 0, AssertSpecial]
type = AssertSpecial
trigger1 = time >= 60
flag = noFG
flag2 = noBG
ignorehitpause = 1

[State 0, StopSnd]
type = StopSnd
trigger1 = time = 0
channel = -1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = S0,2
abspan = 0
[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 30
value = S1,5
abspan = 0

[State 0, Explod]
type = Explod
trigger1 = time = 0
anim = 181
ID = 181
pos = 160,floor(screenheight/2)
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = 1,1
sprpriority = 666
ontop = 1
ownpal = 1
[State 0, Explod]
type = Explod
trigger1 = time = 0
anim = 182
ID = 182
pos = 160,floor(screenheight/2)
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -2
pausemovetime = 65535
supermovetime = 65535
scale = 1,1
sprpriority = 668
ontop = 1
ownpal = 1

[State 181, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1


;---------------------------------------------------------------------------
; Introduction
; CNS difficulty: basic
; CNS x: {
[Statedef 191]
type = S
ctrl = 0
anim = 190
velset = 0,0

[State 191, 1]
type = ChangeAnim
trigger1 = RoundState = 0
value = 190

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelem = 2
value = S1,6
abspan = 0
channel = 1

[State 0, Explod]
type = Explod
trigger1 = time = 0
anim = 191
ID = 191
pos = 0,0
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = 1,1.2
sprpriority = 888
ontop = 1
shadow = 0,0,0
ownpal = 0
removeongethit = 1

[State 0, RemoveExplod]
type = RemoveExplod
trigger1 = animelem = 3
trigger1 = numexplod(191)
id = 191
ignorehitpause = 1

[State 0, Explod]
type = Explod
trigger1 = animelem = 3
anim = 192
ID = 192
pos = 160,floor(screenheight/2)
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -2
pausemovetime = 65535
supermovetime = 65535
scale = 1,1
sprpriority = 888
ontop = 1
shadow = 0,0,0
ownpal = 1

[State 191, 2] ;Assert this until you want "round 1, fight" to begin
type = AssertSpecial
trigger1 = 1
flag = Intro
flag2 = noFG

[State 191, 3] ;Change to stand state when done
type = ChangeState
trigger1 = animtime = 0
value = 0

;---------------------------------------------------------------------------
; Stuck
[Statedef 500]
type    = A
movetype= H
physics = N
velset = 0,0
ctrl = 0
sprpriority = 1

[State 0, ChangeAnim2]
type = ChangeAnim2
trigger1 = time = 0
value = 450
ignorehitpause = 1

[State 0, ChangeAnim2]
type = ChangeAnim
trigger1 = !gethitvar(isbound)
trigger1 = time
value = 5030
persistent = 0

[State 0, ChangeAnim2]
type = ChangeAnim
trigger1 = anim = 5030
trigger1 = animtime = 0
value = ifelse(selfanimexist(5035),5035,5050)

[State 0, ChangeAnim2]
type = ChangeAnim
trigger1 = anim = 5035
trigger1 = animtime = 0
value = 5050

[State 0, VelSet]
type = VelSet
trigger1 = !gethitvar(isbound)
trigger1 = numenemy
x = enemynear,fvar(14) * -1
y = -1
ignorehitpause = 1
persistent = 0

[State 0, VelAdd]
type = VelAdd
trigger1 = !gethitvar(isbound)
y = 0.44

[State 0, SelfState]
type = SelfState
trigger1 = !gethitvar(isbound)
trigger1 = vel y > 0
trigger1 = vel y + pos y >= const(movement.down.bounce.groundlevel)
value = 5100

;---------------------------------------------------------------------------
; Rammed
[Statedef 502]
type    = A
movetype= H
physics = N
velset = 0,0
ctrl = 0
sprpriority = 1

[State 0, PosAdd]
type = PosAdd
trigger1 = time = 0
x = 0-backedgebodydist

[State 0, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = 2
ignorehitpause = 1

[State 0, ScreenBound]
type = ScreenBound
trigger1 = 1
value = 1
movecamera = 1,0
ignorehitpause = 1

[State 0, ChangeAnim2]
type = ChangeAnim
trigger1 = time = 0
value = 5012
ignorehitpause = 1
[State 0, ChangeAnim2]
type = ChangeAnim
trigger1 = anim = 5012
trigger1 = animtime = 0
value = 5017
ignorehitpause = 1

[State 0, ChangeAnim2]
type = ChangeAnim
trigger1 = time >= 8
value = ifelse(selfanimexist(5051),5051,5030)
persistent = 0

[State 0, ChangeAnim2]
type = ChangeAnim
trigger1 = anim = 5030
trigger1 = animtime = 0
value = ifelse(selfanimexist(5035),5035,5050)

[State 0, ChangeAnim2]
type = ChangeAnim
trigger1 = anim = 5035
trigger1 = animtime = 0
value = 5050

[State 0, ChangeAnim2]
type = ChangeAnim
trigger1 = anim = 5051
;trigger1 = selfanimexist(5061)
trigger1 = vel y > -2
;trigger1 = animtime = 0
value = 5070;5061

[State 0, VelSet]
type = VelSet
trigger1 = time = 8
x = 1.23
y = -4.4
ignorehitpause = 1
persistent = 0

[State 0, VelAdd]
type = VelMul
trigger1 = time >= 8
x = 0.98

[State 0, VelAdd]
type = VelAdd
trigger1 = time >= 8
y = 0.88

[State 0, SelfState]
type = SelfState
trigger1 = time >= 8
trigger1 = vel y > 0
trigger1 = vel y + pos y >= const(movement.down.bounce.groundlevel)
value = 5100

[Statedef 3002]
type    = A
movetype= A
physics = N
anim = 9741
velset = 0,0
ctrl = 0

[State 0, AssertSpecial]
type = AssertSpecial
trigger1 = time = [0,214]
flag = nobardisplay
ignorehitpause = 1

[State 0, TargetState]
type = TargetState
trigger1 = time = 0
value = 3008

[State 0, StopSnd]
type = StopSnd
trigger1 = time = 0
channel = -1
ignorehitpause = 1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = S1,0
abspan = 0
volume = 128
volumescale = 150

[State 0, Explod]
type = Explod
trigger1 = time = 0
anim = 3000
ID = 3000
pos = 160,floor(screenheight/2)
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -2
pausemovetime = 65535
supermovetime = 65535
scale = 1,1
sprpriority = 100
ontop = 1
ownpal = 1

[State 0, AssertSpecial]
type = AssertSpecial
trigger1 = time = [0,233]
flag = noBG
flag2 = noFG
ignorehitpause = 1

[State 0, SuperPause]
type = SuperPause
trigger1 = time = 0
time = 234
anim = -1
sound = -1
pos = 0,0
movetime = 234
darken = 0
p2defmul = 1
unhittable = 1
ignorehitpause = 1

[State 0, VarSet]
type = VarAdd
trigger1 = fvar(0) > 0
trigger1 = time != [214,234]
fvar(0) = -0.05

[State 0, VarSet]
type = VarAdd
trigger1 = fvar(0) < 1
trigger1 = time = [214,234]
fvar(0) = 0.05

[State 0, AllPalFX]
type = AllPalFX
trigger1 = fvar(0) > 0
trigger1 = time < 214
time = 2
add = floor(256*fvar(0)),0,0
mul = 256+floor(255*fvar(0)),floor(256*(1-fvar(0))),floor(256*(1-fvar(0)))
color = floor(256*(1-fvar(0)))
ignorehitpause = 1

[State 0, AllPalFX]
type = AllPalFX
trigger1 = fvar(0) > 0
trigger1 = time >= 214
time = 2
add = floor(256*fvar(0)),floor(256*fvar(0)),floor(256*fvar(0))
;mul = 256+floor(255*fvar(0)),256+floor(255*fvar(0)),256+floor(255*fvar(0))
color = floor(256*(1-fvar(0)))
ignorehitpause = 1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 234
value = S1,1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 214
value = S1,2

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 234
value = S1,3

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 234
value = S1,4
channel = 0
loop = 1

[State 0, TargetState]
type = TargetState
trigger1 = time = 234
value = 3009

[State 0, PosAdd]
type = PosAdd
trigger1 = numenemy
x = p2dist x
y = p2dist y
ignorehitpause = 1

[State 0, Explod]
type = Explod
trigger1 = time = 234
anim = 3011
ID = 3011
pos = 0,0
postype = p1
vel = -0.1,0
accel = 0,-0.1
facing = ifelse(random<500,-1,1)
vfacing = 1
bindtime = 22
removetime = -2
scale = 1,1
sprpriority = 5
ownpal = 1
ignorehitpause = 1

[State 0, VarSet]
type = VarSet
trigger1 = p2statetype != L
trigger1 = var(8) != 0
var(8) = 0

[State 0, VarSet]
type = VarSet
trigger1 = p2statetype = L
trigger1 = var(8) != 1
var(8) = 1

[State 0, Explod]
type = Explod
;trigger1 = numenemy
;trigger1 = enemynear,statetype != L
trigger1 = var(8) = 0
trigger1 = time >= 234
trigger1 = (time%2)=0
anim = 3010
ID = 3010
pos = 0-(enemy,const(size.air.back))+random%(enemy,const(size.air.front)*2),0-random%abs(enemy,const(size.head.pos.y))
postype = p1
vel = 0,0
accel = 0,-0.09
facing = ifelse(random<500,-1,1)
vfacing = ifelse(random<500,-1,1)
bindtime = 1
removetime = -2
scale = 1,1
sprpriority = 0+random%5
ownpal = 1
ignorehitpause = 1
[State 0, Explod]
type = Explod
;trigger1 = numenemy
;trigger1 = enemynear,statetype != L
trigger1 = var(8) = 1
trigger1 = time >= 234
trigger1 = (time%2)=0
anim = 3010
ID = 3010
pos = -32+random%64,-8+random%16
;pos = 0-abs(const(size.mid.pos.y))-random%(abs(const(size.mid.pos.y))*2),0-ceil(const(size.air.back)/2)+random%ceil(const(size.air.front))
postype = p1
vel = 0,0
accel = 0,-0.09
facing = ifelse(random<500,-1,1)
vfacing = ifelse(random<500,-1,1)
bindtime = 1
removetime = -2
scale = 1,1
sprpriority = 0+random%5
ownpal = 1
ignorehitpause = 1


[State 0, TargetLifeAdd]
type = TargetLifeAdd
trigger1 = time = 234
value = -65535
kill = 1
absolute = 1
ignorehitpause = 1

[State 0, VarSet]
type = ParentVarSet
trigger1 = time >= 540
trigger1 = roundstate = 2
fvar(31) = 0
ignorehitpause = 1

[State 0, DestroySelf]
type = DestroySelf
trigger1 = time >= 540
trigger1 = roundstate = 2


;---------------------------------------------------------------------------
; Custom HUD
[Statedef 700]
type    = A
movetype= I
physics = N
velset = 0,0
anim = 9741
ctrl = 0

[State 0, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = nobardisplay
ignorehitpause = 1

; P2 LIFE

[State 0, VarSet]
type = VarSet
trigger1 = numenemy
fvar(10) = (enemynear,life)
[State 0, VarSet]
type = VarSet
trigger1 = numenemy
fvar(11) = (enemynear,lifemax)
[State 0, VarSet]
type = VarSet
triggerall = numenemy
trigger1 = enemynear,movetype != H
trigger2 = enemynear,stateno = [120,169]
fvar(12) = ifelse(fvar(12)-10<=fvar(10),fvar(10),fvar(12)-10)

[State Create P2 Life Outline]
type = Explod
triggerall = roundstate = [2,3]
trigger1 = !numhelper(3000)
trigger1 = !numexplod(700)
anim = 700
ID = 700
pos = ifelse(teamside=1,203,16),16
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = 1,1
sprpriority = 90
ontop = 1
ownpal = 1
ignorehitpause = 1
[State Modify P2 Life Outline]
type = ModifyExplod
trigger1 = numexplod(700)
ID = 700
pos = ifelse(teamside=1,203,16),16
postype = left
bindtime = -1
scale = 1,1
sprpriority = 90
ontop = 1
ignorehitpause = 1

[State Create P2 OldLife Bar]
type = Explod
triggerall = roundstate = [2,3]
trigger1 = !numhelper(3000)
trigger1 = !numexplod(710)
anim = 705
ID = 710
pos = ifelse(teamside=1,203,16),16
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = fvar(12)/fvar(11),1
sprpriority = 91
ontop = 1
ownpal = 1
ignorehitpause = 1
[State Modify P2 OldLife Bar]
type = ModifyExplod
trigger1 = numexplod(710)
ID = 710
pos = ifelse(teamside=1,203,16),16
postype = left
bindtime = -1
scale = fvar(12)/fvar(11),1
sprpriority = 91
ontop = 1
ignorehitpause = 1

[State Create P2 Life Bar]
type = Explod
triggerall = roundstate = [2,3]
trigger1 = !numhelper(3000)
trigger1 = !numexplod(720)
anim = 701
ID = 720
pos = ifelse(teamside=1,203,16),16
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = fvar(10)/fvar(11),1
sprpriority = 92
ontop = 1
ownpal = 1
ignorehitpause = 1
[State Create P2 Life Bar]
type = ModifyExplod
trigger1 = numexplod(720)
ID = 720
pos = ifelse(teamside=1,203,16),16
postype = left
bindtime = -1
scale = fvar(10)/fvar(11),1
sprpriority = 92
ontop = 1
ignorehitpause = 1

[State Create P2 Life Text]
type = Explod
triggerall = roundstate = [2,3]
trigger1 = !numhelper(3000)
trigger1 = !numexplod(730)
anim = 711
ID = 730
pos = ifelse(teamside=1,203,16),16
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = 1,1
sprpriority = 93
ontop = 1
ownpal = 1
ignorehitpause = 1
[State Create P2 Life Text]
type = ModifyExplod
trigger1 = numexplod(730)
ID = 730
pos = ifelse(teamside=1,203,16),16
postype = left
bindtime = -1
scale = 1,1
sprpriority = 93
ontop = 1
ignorehitpause = 1

; P1 LIFE

[State 0, VarSet]
type = VarSet
trigger1 = numenemy
fvar(20) = (parent,life)
[State 0, VarSet]
type = VarSet
trigger1 = numenemy
fvar(21) = (parent,lifemax)
[State 0, VarSet]
type = VarSet
trigger1 = numenemy
fvar(22) = ifelse(fvar(22)-10<=fvar(20),fvar(20),fvar(22)-10)

[State Create P1 Life Outline]
type = Explod
triggerall = roundstate = [2,3]
trigger1 = !numhelper(3000)
trigger1 = !numexplod(701)
anim = 700
ID = 701
pos = ifelse(teamside=2,203,16),16
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = 1,1
sprpriority = 90
ontop = 1
ownpal = 1
ignorehitpause = 1
[State Modify P1 Life Outline]
type = ModifyExplod
trigger1 = numexplod(701)
ID = 701
pos = ifelse(teamside=2,203,16),16
postype = left
bindtime = -1
scale = 1,1
sprpriority = 90
ontop = 1
ignorehitpause = 1

[State Create P1 OldLife Bar]
type = Explod
triggerall = roundstate = [2,3]
trigger1 = !numhelper(3000)
trigger1 = !numexplod(711)
anim = 705
ID = 711
pos = ifelse(teamside=2,203,16),16
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = fvar(22)/fvar(21),1
sprpriority = 91
ontop = 1
ownpal = 1
ignorehitpause = 1
[State Modify P1 OldLife Bar]
type = ModifyExplod
trigger1 = numexplod(711)
ID = 711
pos = ifelse(teamside=2,203,16),16
postype = left
bindtime = -1
scale = fvar(22)/fvar(21),1
sprpriority = 91
ontop = 1
ignorehitpause = 1

[State Create P1 Life Bar]
type = Explod
triggerall = roundstate = [2,3]
trigger1 = !numhelper(3000)
trigger1 = !numexplod(721)
anim = 702
ID = 721
pos = ifelse(teamside=2,203,16),16
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = fvar(10)/fvar(11),1
sprpriority = 92
ontop = 1
ownpal = 1
ignorehitpause = 1
[State Create P1 Life Bar]
type = ModifyExplod
trigger1 = numexplod(721)
ID = 721
pos = ifelse(teamside=2,203,16),16
postype = left
bindtime = -1
scale = fvar(20)/fvar(21),1
sprpriority = 92
ontop = 1
ignorehitpause = 1

[State Create P1 Life Text]
type = Explod
triggerall = roundstate = [2,3]
trigger1 = !numhelper(3000)
trigger1 = !numexplod(731)
anim = 712
ID = 731
pos = ifelse(teamside=2,203,16),16
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = 1,1
sprpriority = 93
ontop = 1
ownpal = 1
ignorehitpause = 1
[State Create P1 Life Text]
type = ModifyExplod
trigger1 = numexplod(731)
ID = 731
pos = ifelse(teamside=2,203,16),16
postype = left
bindtime = -1
scale = 1,1
sprpriority = 93
ontop = 1
ignorehitpause = 1

; P2 POWER

[State 0, VarSet]
type = VarSet
trigger1 = numenemy
fvar(15) = (enemynear,power)
[State 0, VarSet]
type = VarSet
trigger1 = numenemy
fvar(16) = (enemynear,powermax)
[State 0, VarSet]
type = VarSet
trigger1 = numenemy
fvar(17) = ifelse(fvar(17)+10>=fvar(15),fvar(15),fvar(17)+10)

[State Create P2 Power Outline]
type = Explod
triggerall = roundstate = [2,3]
trigger1 = !numhelper(3000)
trigger1 = !numexplod(702)
anim = 700
ID = 702
pos = ifelse(teamside=1,203,16),floor(screenheight)-25
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = 1,1
sprpriority = 90
ontop = 1
ownpal = 1
ignorehitpause = 1
[State Modify P2 Power Outline]
type = ModifyExplod
trigger1 = numexplod(702)
ID = 702
pos = ifelse(teamside=1,203,16),floor(screenheight)-25
postype = left
bindtime = -1
scale = 1,1
sprpriority = 90
ontop = 1
ignorehitpause = 1

[State Create P2 Power Bar]
type = Explod
triggerall = roundstate = [2,3]
trigger1 = !numhelper(3000)
trigger1 = !numexplod(722)
anim = 703
ID = 722
pos = ifelse(teamside=1,203,16),floor(screenheight)-25
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = fvar(17)/fvar(16),1
sprpriority = 92
ontop = 1
ownpal = 1
ignorehitpause = 1
[State Create P2 Power Bar]
type = ModifyExplod
trigger1 = numexplod(722)
ID = 722
pos = ifelse(teamside=1,203,16),floor(screenheight)-25
postype = left
bindtime = -1
scale = fvar(17)/fvar(16),1
sprpriority = 92
ontop = 1
ignorehitpause = 1

[State Create P2 Power Text]
type = Explod
triggerall = roundstate = [2,3]
trigger1 = !numhelper(3000)
trigger1 = !numexplod(732)
anim = 713
ID = 732
pos = ifelse(teamside=1,203,16),floor(screenheight)-25
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = 1,1
sprpriority = 93
ontop = 1
ownpal = 1
ignorehitpause = 1
[State Create P2 Power Text]
type = ModifyExplod
trigger1 = numexplod(732)
ID = 732
pos = ifelse(teamside=1,203,16),floor(screenheight)-25
postype = left
bindtime = -1
scale = 1,1
sprpriority = 93
ontop = 1
ignorehitpause = 1

[State 0, VarSet]
type = VarSet
trigger1 = 1
fvar(0) = floor(fvar(17)/1000)
[State 0, VarSet]
type = VarSet
trigger1 = fvar(0) > 9
fvar(0) = 9
[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(520)
trigger1 = floor(fvar(0))!=0
trigger2 = numexplod(3000)
trigger3 = roundstate >= 4
trigger4 = numhelper(3000)
trigger4 = helper(3000),stateno=3002
id = 520
ignorehitpause = 1
[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(521)
trigger1 = floor(fvar(0))!=1
trigger2 = numexplod(3000)
trigger3 = roundstate >= 4
trigger4 = numhelper(3000)
trigger4 = helper(3000),stateno=3002
id = 521
ignorehitpause = 1
[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(522)
trigger1 = floor(fvar(0))!=2
trigger2 = numexplod(3000)
trigger3 = roundstate >= 4
trigger4 = numhelper(3000)
trigger4 = helper(3000),stateno=3002
id = 522
ignorehitpause = 1
[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(523)
trigger1 = floor(fvar(0))!=3
trigger2 = numexplod(3000)
trigger3 = roundstate >= 4
trigger4 = numhelper(3000)
trigger4 = helper(3000),stateno=3002
id = 523
ignorehitpause = 1
[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(524)
trigger1 = floor(fvar(0))!=4
trigger2 = numexplod(3000)
trigger3 = roundstate >= 4
trigger4 = numhelper(3000)
trigger4 = helper(3000),stateno=3002
id = 524
ignorehitpause = 1
[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(525)
trigger1 = floor(fvar(0))!=5
trigger2 = numexplod(3000)
trigger3 = roundstate >= 4
trigger4 = numhelper(3000)
trigger4 = helper(3000),stateno=3002
id = 525
ignorehitpause = 1
[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(526)
trigger1 = floor(fvar(0))!=6
trigger2 = numexplod(3000)
trigger3 = roundstate >= 4
trigger4 = numhelper(3000)
trigger4 = helper(3000),stateno=3002
id = 526
ignorehitpause = 1
[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(527)
trigger1 = floor(fvar(0))!=7
trigger2 = numexplod(3000)
trigger3 = roundstate >= 4
trigger4 = numhelper(3000)
trigger4 = helper(3000),stateno=3002
id = 527
ignorehitpause = 1
[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(528)
trigger1 = floor(fvar(0))!=8
trigger2 = numexplod(3000)
trigger3 = roundstate >= 4
trigger4 = numhelper(3000)
trigger4 = helper(3000),stateno=3002
id = 528
ignorehitpause = 1
[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(529)
trigger1 = floor(fvar(0))!=9
trigger2 = numexplod(3000)
trigger3 = roundstate >= 4
trigger4 = numhelper(3000)
trigger4 = helper(3000),stateno=3002
id = 529
ignorehitpause = 1
[State Create power level]
type = Explod
triggerall = roundstate = [2,3]
trigger1 = !numhelper(3000)
trigger1 = !numexplod(520+floor(fvar(0)))
anim = 750+floor(fvar(0))
ID = 520+floor(fvar(0))
pos = ifelse(teamside=1,203,16)+96,floor(screenheight)-25
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
pausemovetime = 65535
supermovetime = 65535
sprpriority = 93
ontop = 1
ownpal = 1
ignorehitpause = 1
[State Modify power level]
type = ModifyExplod
triggerall = roundstate = [2,3]
trigger1 = !numhelper(3000)
trigger1 = numexplod(520+floor(fvar(0)))
anim = 750+floor(fvar(0))
ID = 520+floor(fvar(0))
pos = ifelse(teamside=1,203,16)+96,floor(screenheight)-25
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
pausemovetime = 65535
supermovetime = 65535
sprpriority = 93
ontop = 1
ownpal = 1
ignorehitpause = 1


; P1 RAGE

[State 0, VarSet]
type = VarSet
trigger1 = 1
fvar(25) = (parent,fvar(31))
[State 0, VarSet]
type = VarSet
trigger1 = 1
fvar(26) = 2000
[State 0, VarSet]
type = VarSet
trigger1 = 1
fvar(27) = ifelse(fvar(27)+10>=fvar(25),fvar(25),fvar(27)+10)
[State 0, VarSet]
type = VarSet
trigger1 = 1
fvar(28) = fvar(27)-1000

[State Create P1 Power Outline]
type = Explod
triggerall = roundstate = [2,3]
trigger1 = !numhelper(3000)
trigger1 = !numexplod(703)
anim = 700
ID = 703
pos = ifelse(teamside=2,203,16),floor(screenheight)-25
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = 1,1
sprpriority = 90
ontop = 1
ownpal = 1
ignorehitpause = 1
[State Modify P1 Power Outline]
type = ModifyExplod
trigger1 = numexplod(703)
ID = 703
pos = ifelse(teamside=2,203,16),floor(screenheight)-25
postype = left
bindtime = -1
scale = 1,1
sprpriority = 90
ontop = 1
ignorehitpause = 1

[State Create P1 Power Bar]
type = Explod
triggerall = roundstate = [2,3]
trigger1 = !numhelper(3000)
trigger1 = !numexplod(723)
anim = 704
ID = 723
pos = ifelse(teamside=2,203,16),floor(screenheight)-25
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = fvar(27)/fvar(26),1
sprpriority = 92
ontop = 1
ownpal = 1
ignorehitpause = 1
[State Create P1 Power Bar]
type = ModifyExplod
trigger1 = numexplod(723)
ID = 723
pos = ifelse(teamside=2,203,16),floor(screenheight)-25
postype = left
bindtime = -1
scale = fvar(27)/fvar(26),1
sprpriority = 92
ontop = 1
ignorehitpause = 1

[State Create P1 Power Bleh]
type = Explod
triggerall = roundstate = [2,3]
triggerall = fvar(28) > 0
trigger1 = !numhelper(3000)
trigger1 = !numexplod(713)
anim = 719
ID = 713
pos = ifelse(teamside=2,203,16)+floor(101*(fvar(27)/fvar(26))),floor(screenheight)-25
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = fvar(28)/1000,fvar(28)/1000
sprpriority = 92
ontop = 1
ownpal = 1
ignorehitpause = 1
[State Create P1 Power Bleh]
type = ModifyExplod
trigger1 = numexplod(713)
ID = 713
pos = ifelse(teamside=2,203,16)+floor(101*(fvar(27)/fvar(26))),floor(screenheight)-25
postype = left
bindtime = -1
scale = fvar(28)/1000,fvar(28)/1000
sprpriority = 92
ontop = 1
ignorehitpause = 1

[State Create P1 Power Text]
type = Explod
triggerall = roundstate = [2,3]
trigger1 = !numhelper(3000)
trigger1 = !numexplod(733)
anim = 714
ID = 733
pos = ifelse(teamside=2,203,16),floor(screenheight)-25
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = 1,1
sprpriority = 93
ontop = 1
ownpal = 1
ignorehitpause = 1
[State Create P1 Power Text]
type = ModifyExplod
trigger1 = numexplod(733)
ID = 733
pos = ifelse(teamside=2,203,16),floor(screenheight)-25
postype = left
bindtime = -1
scale = 1,1
sprpriority = 93
ontop = 1
ignorehitpause = 1

; EFF IT

[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(700)
trigger1 = numexplod(3000)
trigger2 = roundstate >= 4
trigger3 = numhelper(3000)
trigger3 = helper(3000),stateno=3002
id = 700
ignorehitpause = 1
[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(710)
trigger1 = numexplod(3000)
trigger2 = roundstate >= 4
trigger3 = numhelper(3000)
trigger3 = helper(3000),stateno=3002
id = 710
ignorehitpause = 1
[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(720)
trigger1 = numexplod(3000)
trigger2 = roundstate >= 4
trigger3 = numhelper(3000)
trigger3 = helper(3000),stateno=3002
id = 720
ignorehitpause = 1
[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(730)
trigger1 = numexplod(3000)
trigger2 = roundstate >= 4
trigger3 = numhelper(3000)
trigger3 = helper(3000),stateno=3002
id = 730
ignorehitpause = 1

[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(701)
trigger1 = numexplod(3000)
trigger2 = roundstate >= 4
trigger3 = numhelper(3000)
trigger3 = helper(3000),stateno=3002
id = 701
ignorehitpause = 1
[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(711)
trigger1 = numexplod(3000)
trigger2 = roundstate >= 4
trigger3 = numhelper(3000)
trigger3 = helper(3000),stateno=3002
id = 711
ignorehitpause = 1
[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(721)
trigger1 = numexplod(3000)
trigger2 = roundstate >= 4
trigger3 = numhelper(3000)
trigger3 = helper(3000),stateno=3002
id = 721
ignorehitpause = 1
[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(731)
trigger1 = numexplod(3000)
trigger2 = roundstate >= 4
trigger3 = numhelper(3000)
trigger3 = helper(3000),stateno=3002
id = 731
ignorehitpause = 1

[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(702)
trigger1 = numexplod(3000)
trigger2 = roundstate >= 4
trigger3 = numhelper(3000)
trigger3 = helper(3000),stateno=3002
id = 702
ignorehitpause = 1
[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(722)
trigger1 = numexplod(3000)
trigger2 = roundstate >= 4
trigger3 = numhelper(3000)
trigger3 = helper(3000),stateno=3002
id = 722
ignorehitpause = 1
[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(732)
trigger1 = numexplod(3000)
trigger2 = roundstate >= 4
trigger3 = numhelper(3000)
trigger3 = helper(3000),stateno=3002
id = 732
ignorehitpause = 1

[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(703)
trigger1 = numexplod(3000)
trigger2 = roundstate >= 4
trigger3 = numhelper(3000)
trigger3 = helper(3000),stateno=3002
id = 703
ignorehitpause = 1
[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(713)
trigger1 = numexplod(3000)
trigger2 = roundstate >= 4
trigger3 = numhelper(3000)
trigger3 = helper(3000),stateno=3002
id = 713
ignorehitpause = 1
[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(723)
trigger1 = numexplod(3000)
trigger2 = roundstate >= 4
trigger3 = numhelper(3000)
trigger3 = helper(3000),stateno=3002
id = 723
ignorehitpause = 1
[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(733)
trigger1 = numexplod(3000)
trigger2 = roundstate >= 4
trigger3 = numhelper(3000)
trigger3 = helper(3000),stateno=3002
id = 733
ignorehitpause = 1

;---------------------------------------------------------------------------
; Atmosphere
[Statedef 950]
type    = S
movetype= I
physics = N
anim = 9741;951
velset = 0.1,0
ctrl = 0
sprpriority = 64

[State 0, AngleDraw]
type = AssertSpecial
trigger1 = 1
flag = noshadow
ignorehitpause = 1

[State 0, AngleDraw]
type = AngleDraw
trigger1 = 1
value = 0
scale = 1,1
ignorehitpause = 1

[State 0, Trans]
type = Trans
trigger1 = 1
trans = add
ignorehitpause = 1

;[State 0, PosSet]
;type = PosSet
;trigger1 = 1
;x = 0

[State 0, Explod]
type = Explod
trigger1 = time = 0
anim = 951
ID = 951
pos = (floor(screenpos x*0.9713)%800),floor(screenpos y-32)
postype = left
facing = 1
vfacing = 1
bindtime = -1
vel = 0,0
accel = 0,0
random = 0,0
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = 1,1
sprpriority = -64
ontop = 0
shadow = 0,0,0
ownpal = 1
trans = addalpha
alpha = 200,255
removeongethit = 0

[State 0, Explod]
type = Explod
trigger1 = time = 0
anim = 951
ID = 952
pos = (floor(screenpos x*0.9713)%800),floor(screenpos y)
postype = left
facing = -1
vfacing = 1
bindtime = -1
vel = 0,0
accel = 0,0
random = 0,0
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = 1,1
sprpriority = 64
ontop = 0
shadow = 0,0,0
ownpal = 1
trans = addalpha
alpha = 200,255
removeongethit = 0

[State 0, ModifyExplod]
type = ModifyExplod
trigger1 = numexplod(951)
ID = 951
pos = (floor(screenpos x*0.9713)%800),floor((screenpos y-32)*camerazoom)
postype = left
trans = addalpha
alpha = 160,255
;scale = camerazoom,camerazoom

[State 0, ModifyExplod]
type = ModifyExplod
trigger1 = numexplod(952)
ID = 952
pos = (floor(screenpos x*1.13)%800),floor(screenpos y*camerazoom)
postype = left
trans = addalpha
alpha = 160,255
;scale = camerazoom,camerazoom

[State 0, Explod]
type = Explod
trigger1 = time = 0
anim = 950
ID = 950
pos = 160,120
postype = left
facing = 1
vfacing = 1
bindtime = -1
vel = 0,0
accel = 0,0
random = 0,0
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = 666,666
sprpriority = 777
ontop = 1
shadow = 0,0,0
ownpal = 1
removeongethit = 0

[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(950)
trigger1 = numhelper(3000)
trigger1 = helper(3000),stateno > 3000
trigger2 = parent,stateno = 181
id = 950
ignorehitpause = 1

;---------------------------------------------------------------------------
; States that are always executed (use statedef -2)
;---------------------------------------------------------------------------

[Statedef -2]

[State 0, gain rage]
type = VarSet
triggerall = roundstate = 2
trigger1 = ctrl
trigger2 = fvar(31)
fvar(31) = ifelse(fvar(31)>=2000,2000,fvar(31)+1)
ignorehitpause = 1

[State 0, Reset power]
type = PowerSet
trigger1 = roundstate < 2
value = 0
ignorehitpause = 1
[State 0, Mark power]
type = PowerSet
trigger1 = roundstate = 2
value = ceil(fvar(31))
ignorehitpause = 1

[State 0, ScreenBound]
type = ScreenBound
trigger1 = roundstate >= 2
value = 0
movecamera = ifelse(backedgedist>=4&&frontedgedist>=4,1,0),0
ignorehitpause = 1

[State 0, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0
ignorehitpause = 1

;[State DEBUG]
;type = VarSet
;trigger1 = time
;var(59) = var(59) | floor(exp(1*ln(2)) + 0.5)
;ignorehitpause = 1

[State lost a round?]
type = VarSet
;triggerall = !var(59) & floor(exp(1*ln(2)) + 0.5)
triggerall = roundstate >= 4
trigger1 = lose
var(59) = var(59) | floor(exp(1*ln(2)) + 0.5)
ignorehitpause = 1

[State won a round?]
type = VarSet
;triggerall = !var(59) & floor(exp(2*ln(2)) + 0.5)
triggerall = roundstate >= 4
trigger1 = win
var(59) = var(59) | floor(exp(2*ln(2)) + 0.5)
ignorehitpause = 1

[State 0, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = 2
ignorehitpause = 1

[State 0, Helper]
type = Helper
trigger1 = alive
trigger1 = !numhelper(200)
helpertype = normal
name = "Engine'N'Glasses"
ID = 200
stateno = 200
pos = 0,0
postype = p1
facing = 1
ownpal = 1
size.ground.front = 149
size.ground.back = 111
size.air.front = 149
size.air.back = 111
;supermovetime = 65535
;pausemovetime = 65535
ignorehitpause = 1
[State 0, Helper]
type = Helper
trigger1 = alive
trigger1 = !numhelper(212)
helpertype = normal
name = "Front"
ID = 212
stateno = 212
pos = 0,0
postype = p1
facing = 1
ownpal = 1
size.ground.front = 122
size.ground.back = -26
size.air.front = 122
size.air.back = -26
;supermovetime = 65535
;pausemovetime = 65535
ignorehitpause = 1
[State 0, Helper]
type = Helper
trigger1 = alive
trigger1 = !numhelper(213)
helpertype = normal
name = "Door"
ID = 213
stateno = 213
pos = 0,0
postype = p1
facing = 1
ownpal = 1
size.ground.front = 28
size.ground.back = -46
size.air.front = 28
size.air.back = -46
;supermovetime = 65535
;pausemovetime = 65535
ignorehitpause = 1
[State 0, Helper]
type = Helper
trigger1 = alive
trigger1 = !numhelper(214)
helpertype = normal
name = "Rear"
ID = 214
stateno = 214
pos = 0,0
postype = p1
facing = 1
ownpal = 1
size.ground.front = -44
size.ground.back = 146
size.air.front = -44
size.air.back = 146
;supermovetime = 65535
;pausemovetime = 65535
ignorehitpause = 1
[State 0, Helper]
type = Helper
trigger1 = alive
trigger1 = !numhelper(215)
helpertype = normal
name = "Roof"
ID = 215
stateno = 215
pos = 0,0
postype = p1
facing = 1
ownpal = 1
size.ground.front = -32
size.ground.back = 70
size.air.front = -32
size.air.back = 70
;supermovetime = 65535
;pausemovetime = 65535
ignorehitpause = 1
[State 0, Helper]
type = Helper
trigger1 = alive
trigger1 = !numhelper(202)
helpertype = normal
name = "Tire"
ID = 202
stateno = 202
pos = 0,0
postype = p1
facing = 1
ownpal = 1
;supermovetime = 65535
;pausemovetime = 65535
ignorehitpause = 1
[State 0, Helper]
type = Helper
trigger1 = alive
trigger1 = !numhelper(203)
helpertype = normal
name = "Tire"
ID = 203
stateno = 203
pos = 0,0
postype = p1
facing = 1
ownpal = 1
;supermovetime = 65535
;pausemovetime = 65535
ignorehitpause = 1
[State 0, Helper]
type = Helper
trigger1 = alive
trigger1 = !numhelper(204)
helpertype = normal
name = "Tire"
ID = 204
stateno = 204
pos = 0,0
postype = p1
facing = 1
ownpal = 1
;supermovetime = 65535
;pausemovetime = 65535
ignorehitpause = 1
[State 0, Helper]
type = Helper
trigger1 = alive
trigger1 = !numhelper(205)
helpertype = normal
name = "Tire"
ID = 205
stateno = 205
pos = 0,0
postype = p1
facing = 1
ownpal = 1
;supermovetime = 65535
;pausemovetime = 65535
ignorehitpause = 1
[State 0, Helper]
type = Helper
trigger1 = alive
trigger1 = !numhelper(210)
helpertype = normal
name = "Sam"
ID = 210
stateno = 210
pos = 0,0
postype = p1
facing = 1
ownpal = 1
;supermovetime = 65535
;pausemovetime = 65535
ignorehitpause = 1

[State 0, Helper]
type = Helper
trigger1 = alive
trigger1 = !numhelper(219)
helpertype = normal
name = "Off-Screen"
ID = 219
stateno = 219
pos = 0,0
postype = p1
facing = 1
ownpal = 1
size.ground.front = 149
size.ground.back = 111
size.air.front = 149
size.air.back = 111
;supermovetime = 65535
;pausemovetime = 65535
ignorehitpause = 1

[State 0, Helper]
type = Helper
trigger1 = alive
trigger1 = !numhelper(950)
trigger1 = stateno != 189
helpertype = normal
name = "Atmosphere"
ID = 950
stateno = 950
pos = 0,0
postype = p1
facing = 1
ownpal = 1
;supermovetime = 65535
;pausemovetime = 65535
ignorehitpause = 1

[State 0, Helper]
type = Helper
trigger1 = fvar(32) > 0
trigger1 = !numhelper(700)
trigger1 = p2name != "A Cleanest Kill On Earth"
trigger1 = p4name != "A Cleanest Kill On Earth"
trigger1 = p2name != "Canine Carrier"
trigger1 = p4name != "Canine Carrier"
helpertype = normal
name = "Custom HUD"
ID = 700
stateno = 700
pos = 0,0
postype = p1
facing = 1
ownpal = 1
supermovetime = 65535
pausemovetime = 65535
ignorehitpause = 1

[State 0, LifeAdd]
type = LifeAdd
trigger1 = var(20)
value = 0-var(20)
kill = 1
absolute = 1
ignorehitpause = 1

[State DIE]
type = ChangeState
triggerall = roundstate = [2,3]
triggerall = stateno != 171
triggerall = stateno != 172
triggerall = stateno != 5150
trigger1 = !alive
;trigger2 = var(59) & floor(exp(1*ln(2)) + 0.5)
;trigger2 = life = 1
;trigger2 = var(20)
value = 171;
ctrl = 0

[State 0, VarSet]
type = VarSet
trigger1 = var(20)
var(20) = 0
ignorehitpause = 1

[State 0, VarSet]
type = VarSet
trigger1 = 1
var(22) = 0
ignorehitpause = 1
[State 0, VarSet]
type = VarSet
trigger1 = numhelper(500)
var(22) = helper(500),gethitvar(hitshaketime)
ignorehitpause = 1

; if you're making a 10ov.st and copied the statedef -2 in it's entirety, uncomment this strcl so e.g. the hitpauses in both mugen versions would be the same
[State ME AM USING 1.0]
type = VarSet
trigger1 = var(49) != 1
var(49) = 1
ignorehitpause = 1


[State 0, No Turning]
type = AssertSpecial
trigger1 = 1
flag = noautoturn
flag2 = timerfreeze
flag3 = nowalk
ignorehitpause = 1
[State 0, No blocking]
type = AssertSpecial
trigger1 = 1
flag = noairguard
flag2 = nostandguard
flag3 = nocrouchguard
ignorehitpause = 1

[State 0, Helper]
type = Helper
trigger1 = roundstate < 2
trigger1 = !numhelper(444)
helpertype = normal
name = "CONFIG"
ID = 444
stateno = 444
pos = 444,444
postype = p1
facing = 1
ownpal = 1
supermovetime = 65535
pausemovetime = 65535
ignorehitpause = 1

[State IntroSkip]
type = VarAdd
trigger1 = var(29) < 5
trigger1 = roundstate = 2
var(29) = 1
[State IntroSkip]
type = StopSnd
trigger1 = var(29) = 1
channel = 1
ignorehitpause = 1


;
; Within StateDef -2, none of your own AI-related code should be placed
; above these next two controllers.

[State -2, StopAI]
type = VarSet
triggerall = var(58) > 0 && !IsHelper
trigger1 = RoundState != 2
trigger2 = !Alive
var(58) = -2
IgnoreHitPause = 1

; This controller is optional.  It allows you treat the AI flag as a boolean
; value rather than an integer value, letting you trigger your AI directives
; with "var(0)" instead of "var(58)>0", and letting you make moves usable only
; by humans by using "!var(0)" instead of "var(58)<1", thus slightly improving
; the size and efficiency of your code.
; Another benefit is that it makes it much easier for users to disable your AI,
; if they so choose.
[State -2, Simplifier]
type = VarSet
;triggerall = !IsHelper
;trigger1 = var(58) = 1
;trigger2 = var(55):=0
trigger1 = 1
var(55) = ifelse((roundstate<=2),ailevel,0)
IgnoreHitPause = 1

[State 0, VarSet]
type = VarSet
trigger1 = var(55)
var(50) = ifelse(ctrl&&var(55),var(50)+1,0)

; thanks to this if you go CTRL+D and see the current distance so once you start AI making you can blast off a notepad and take notes in which distances would various moves hit
[State -2, DTC]
type = DisplayToClipboard
trigger1 = 1
text = "AI = %d, accel = %f maxaccel = %f, vel = %f rate = %f"
params = var(58), fvar(15), fvar(16), fvar(14), fvar(18)
IgnoreHitPause = 1
[State 0, AppendToClipboard]
type = AppendToClipboard
trigger1 = 1
text = "front = %d back = %d"
params = floor(frontedgedist),floor(backedgedist)
ignorehitpause = 1


